const TimetableHour = require("./TimetableHour");

class TimetableDay {
    first = null;
    last = null;

    constructor(data) {
        this.hours = [];

        //console.log(data)

        for (let i = 0; i < data[0].length; i++) {
            const hour = [
                data[0][i],
                data[1][i],
                data[2][i],
                data[3][i],
                data[4][i],
            ]

            const hasContent = /[\da-zA-Z]/.test(JSON.stringify(hour));

            if(hasContent) {
                if(this.first === null) this.first = i;
                this.last = i;
            }

            this.hours[i] = hasContent ? new TimetableHour(hour) : null;
        }
    }
}

module.exports = TimetableDay;