const ParseTools = require("./ParseTools");
const AbsentDay = require("./AbsentDay");

class AbsentSummary {
    days = [];

    constructor(data) {
        this.presentDays = ParseTools.daysToArray(data.Summary['Anwesend am']);
        this.absentDays = ParseTools.daysToArray(data.Summary['Fehlte am']);
        this.partlyAbsentDays = ParseTools.daysToArray(data.Summary['Fehlte teilweise am']);
        this.unexcusedDays = ParseTools.daysToArray(data.Summary['unentschuldigte Tage']);
        this.excusedDays = ParseTools.daysToArray(data.Summary['unentschuldigte Tage']);

        data.Details.forEach((day, i) => {
            this.days[i] = new AbsentDay(day);
        });
    }
}

module.exports = AbsentSummary