const ParseTools = require("./ParseTools");

class Message {
    #data;

    constructor(data) {
        this.#data = data;

        this.content = data.Message;
        this.timestamp = ParseTools.parseDateTime(data.rawTimestamp, "yyyy-MM-dd HH:mm:ss");
        this.target = data.Target;
        this.type = data.Typ;
        this.course = data.Kurs;
        this.class = data.Klasse;
    }

    get rawTimestamp() {
        return this.#data.Datum;
    }
}

module.exports = Message